Package org.eclipse.emf.compare.ide.ui.dependency

# Class DependencyProviderDescriptor

java.lang.Object
org.eclipse.emf.compare.ide.ui.dependency.DependencyProviderDescriptor

public class DependencyProviderDescriptor extends Object
This class is used for information flow between `ModelDependencyProviderRegistryListener` and `ModelDependencyProviderRegistry` and managing the creation of `IDependencyProvider` instances.

## Constructor Summary

Constructors
Constructor
Description
`DependencyProviderDescriptor(String attributeName, org.eclipse.core.runtime.IConfigurationElement configurationElement)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`IDependencyProvider`
`getDependencyProvider()`
Returns the `IDependencyProvider`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyProviderDescriptor

public DependencyProviderDescriptor(String attributeName, org.eclipse.core.runtime.IConfigurationElement configurationElement)
Default constructor.

Parameters:
  `attributeName` - The name of the configuration attribute responsible for the registered `IDependencyProvider`.
  `configurationElement` - The `IConfigurationElement` containing all relevant extension information.

## Method Details

### getDependencyProvider

public IDependencyProvider getDependencyProvider()
Returns the `IDependencyProvider`.

Returns:
  The newly created `IDependencyProvider`.